Bug 1539207 - Rename to bear-factory
Summary: Rename to bear-factory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bear
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1546544
Blocks: 1565848
TreeView+ depends on / blocked
 
Reported: 2018-01-26 22:27 UTC by Till Hofmann
Modified: 2018-10-30 17:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-18 10:19:27 UTC


Attachments (Terms of Use)

Description Till Hofmann 2018-01-26 22:27:18 UTC
As discussed on the devel list [7], I'm kindly asking to rename bear to bear-factory or something similar. Quote from the list:

> I'm preparing Bear [1] as a Fedora package. Unfortunately, the package name bear is already taken by the bear engine [2], so I'm considering the best way to resolve this. Ubuntu [3], Debian [4], Arch (AUR) [5], and Mint [6] all package the compilation database (i.e., the package I'm working on) as bear, while the game engine (the current bear in Fedora) is usually packaged as bear-factory. IMHO, providing the compilation database as bear would be very beneficial, and anything else might be confusing for the users.


The consensus on the devel list seemed to be that renaming the current bear to bear-factory would be the best solution (although only one other person replied).
As bear does not actually provide a bear binary package, renaming should be straight forward.

The renaming guideline is described on [8]. I'd be happy to help you with the renaming.


[1] https://github.com/rizsotto/Bear
[2] https://src.fedoraproject.org/rpms/bear
[3] https://packages.ubuntu.com/trusty/devel/bear
[4] https://packages.debian.org/sid/bear
[5] https://aur.archlinux.org/packages/bear/
[6] https://community.linuxmint.com/software/view/bear
[7] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/YSJZOU2XRCYYRAWXESQONSALJPNCABT3/#YSJZOU2XRCYYRAWXESQONSALJPNCABT3
[8] https://fedoraproject.org/wiki/Package_Renaming_Process

Comment 1 Till Hofmann 2018-02-15 17:14:40 UTC
Would be willing to rename the package? I can assist if you want.

Comment 2 Fedora End Of Life 2018-02-20 15:25:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 MartinKG 2018-02-21 21:29:23 UTC
(In reply to Till Hofmann from comment #1)
> Would be willing to rename the package? I can assist if you want.

yes i will rename it, if you can assist me.

Comment 4 Till Hofmann 2018-02-21 21:59:25 UTC
(In reply to MartinKG from comment #3)
> (In reply to Till Hofmann from comment #1)
> > Would be willing to rename the package? I can assist if you want.
> 
> yes i will rename it, if you can assist me.

Thanks! I'll do the re-review.

Comment 5 dan.cermak 2018-07-13 08:39:04 UTC
Hi

Comment 6 dan.cermak 2018-07-13 13:18:49 UTC
Sorry, my last comment got inserted by mistake. Please ignore it.

Comment 7 Fedora Update System 2018-10-15 15:50:19 UTC
bear-factory-0.7.0-0.23.20180825git2a78522.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff8885ffe2

Comment 8 Fedora Update System 2018-10-15 15:50:30 UTC
bear-factory-0.7.0-0.23.20180825git2a78522.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-defcf97872

Comment 9 Fedora Update System 2018-10-16 12:37:43 UTC
bear-factory-0.7.0-0.23.20180825git2a78522.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff8885ffe2

Comment 10 Fedora Update System 2018-10-16 15:51:25 UTC
bear-factory-0.7.0-0.23.20180825git2a78522.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-defcf97872

Comment 11 Till Hofmann 2018-10-17 14:41:43 UTC
As the final step, you will need to orphan the original bear package:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

See also: https://fedoraproject.org/wiki/Package_Renaming_Process#After_the_review

Thank you!

Comment 12 MartinKG 2018-10-17 19:29:39 UTC
i have retired the package, not orphaned. Is this ok ?

Comment 13 Till Hofmann 2018-10-18 10:19:27 UTC
Yes, that's perfect, thank you!

Comment 14 Fedora Update System 2018-10-25 22:11:05 UTC
bear-factory-0.7.0-0.23.20180825git2a78522.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-10-30 17:27:34 UTC
bear-factory-0.7.0-0.23.20180825git2a78522.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.